#include "Gadget/Engine.h"
#include "Particle.h"

//Static variables have to be declaired outside of the class as well
bool   Particle::init = false;
Image  Particle::img;
Core*  Particle::G;

Particle::Particle()//Constructor
{
	timer = 0.0f;

	spr.width  = 80.0f;
	spr.height = 50.0f;
	spr.CenterOrigin(); //Place the origin in the center of the sprite
}

void Particle::Init(Core* core)
{
	G = core;

	if(!init)//Make sure we only load the image once
	{
		img.Load("Images/laser.jpg");
		init = true;
	}
}

void Particle::Step()
{	
	//Set the sprite position
	spr.x = position.x;
	spr.y = position.y;

	//Render the particle
	Shader::Blend(3);
	img.Activate();
	spr.Render();	

	timer += G->Timer.GetElapsedTime();

	//Update the position of the particle
	position += velocity * G->Timer.GetElapsedTime();
}

